<div class="widgets">



<div class="row" *ngIf="curmood != null" style="position:relative ;background-color: rgba(50,10,10,0.5);margin: 10px;padding: 10px;border-radius: 1px">

    <button type="button" style="position: absolute;right: 15px;top:5px;z-index: 99999" (click)="close()" class="btn btn-default btn-icon"><i class="ion-close-round"></i></button>


<div class="col-md-4">

<div class="form-group">
      <label for="trackName">Mood Name</label>
      <input class="form-control" [(ngModel)]="curmood.name" id="trackName">
</div>


    <div class="form-group">
      <button class="form-control" type="submit" (click)="updateInfo()" class="btn btn-default btn-with-icon" >Update</button>
    </div>

</div>

<div class="col-md-4" style="text-align: center">

<div class="form-group">
      <label for="trackFile">Mood Image (600 X 600) Pixels</label>
      <input type="file" id="moodImage" class="form-control" value="upload" #filebtn (change)="updateMoodImage($event)">
</div>



</div>
<div class="col-md-4" style="text-align: center">
<img src="{{curmood.image}}" style="width: 50%">
 
</div>

</div>



 <div class="row">
<div class="col-md-12">
  <input class="form-control" placeholder="Type Mood to search" [(ngModel)]="searchTerm"  (input)="search($event)"/>
<br>
</div>

<div class="col-md-3" *ngFor="let mood of moodsList">

<div class="card" style="width: 100%">
  <img class="card-img-top" style="width:100%" src="{{mood.val().image}}" alt="Card image cap">
  <div class="card-block">
    <h4 class="card-title">{{mood.val().name}}</h4>


  </div>
  <div class="card-block">
            <button type="button" (click)="edit(mood)" class="btn btn-default btn-with-icon"><i class="ion-edit"></i>Edit</button>
            <button type="button" (click)="delete(mood.key)" class="btn btn-primary btn-with-icon"><i class="ion-android-delete"></i>Delete</button>

  </div>
</div>

    </div>

 
  </div>

</div>
